%define upstream_name    SNMP-Info
%define upstream_version 3.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Object Oriented Perl5 Interface to Network devices and MIBs through SNMP
License:    BSD-like
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SNMP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(SNMP)
BuildRequires: perl(Test::More)
BuildRequires: perl-NetSNMP >= 5.1.2
BuildArch:  noarch

%description
SNMP::Info gives an object oriented interface to information obtained
through SNMP.

This module lives at http://snmp-info.sourceforge.net Check for newest
version and documentation.

This module is geared towards network devices. Subclasses exist for a
number of network devices and common MIBs.

The idea behind this module is to give a common interface to data from
network devices, leaving the device-specific hacks behind the scenes in
subclasses.

In the SYNOPSIS example we fetch the name of all the ports on the device
and the duplex setting for that port with two methods -- interfaces()
and i_duplex().

The information may be coming from any number of MIB files and is very
vendor specific. SNMP::Info provides you a common method for all
supported devices.
                                
Adding support for your own device is easy, and takes little much SNMP
knowledge.
                                    
The module is not limited to network devices. Any MIB or device can be
given an objected oriented front-end by making a module that consists of
a couple hashes. See EXTENDING SNMP::INFO.
                                    

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc COPYRIGHT ChangeLog DEVELOP META.json META.yml MYMETA.yml README
%{perl_vendorlib}/SNMP
%{_mandir}/*/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 3.330.0-1.mga6
+ Revision: 1010777
- update to 3.33

* Fri Apr 15 2016 shlomif <shlomif> 3.310.0-1.mga6
+ Revision: 1002290
- update to 3.31

* Sat Feb 20 2016 umeabot <umeabot> 3.290.0-2.mga6
+ Revision: 971335
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 3.290.0-1.mga6
+ Revision: 891524
- update to 3.29

* Sun Jul 05 2015 sander85 <sander85> 3.280.0-1.mga6
+ Revision: 851388
- update to 3.28

* Sun Oct 19 2014 umeabot <umeabot> 3.200.0-4.mga5
+ Revision: 790077
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3.200.0-3.mga5
+ Revision: 750961
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.200.0-2.mga5
+ Revision: 686128
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 sander85 <sander85> 3.200.0-1.mga5
+ Revision: 673734
- update to 3.20

* Fri Aug 01 2014 sander85 <sander85> 3.190.0-1.mga5
+ Revision: 659083
- update to 3.19

* Wed Jul 02 2014 sander85 <sander85> 3.180.0-1.mga5
+ Revision: 642269
- update to 3.18

* Tue Jun 24 2014 sander85 <sander85> 3.170.0-1.mga5
+ Revision: 639248
- update to 3.17

* Tue Jun 10 2014 sander85 <sander85> 3.150.0-1.mga5
+ Revision: 635472
- update to 3.15

* Sat Jun 07 2014 sander85 <sander85> 3.140.0-1.mga5
+ Revision: 634412
- update to 3.14

* Tue Apr 15 2014 jquelin <jquelin> 3.130.0-1.mga5
+ Revision: 614972
- update to 3.13

* Mon Feb 17 2014 kharec <kharec> 3.120.0-1.mga5
+ Revision: 593532
- update to 3.12

* Mon Feb 10 2014 jquelin <jquelin> 3.110.0-1.mga5
+ Revision: 588637
- update to 3.11

* Mon Oct 21 2013 umeabot <umeabot> 3.70.0-2.mga4
+ Revision: 538917
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 sander85 <sander85> 3.70.0-1.mga4
+ Revision: 491029
- update to 3.07

* Mon Aug 19 2013 sander85 <sander85> 3.50.0-1.mga4
+ Revision: 467727
- update to 3.05

* Mon Jul 15 2013 sander85 <sander85> 3.30.0-1.mga4
+ Revision: 454640
- update to 3.03
- update to 3.02

* Sun Jan 13 2013 umeabot <umeabot> 2.110.0-2.mga3
+ Revision: 372385
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.110.0-1.mga3
+ Revision: 342584
- update to 2.11

* Fri Aug 31 2012 kharec <kharec> 2.80.0-1.mga3
+ Revision: 286473
- update to 2.08

* Thu Oct 13 2011 jquelin <jquelin> 2.60.0-1.mga2
+ Revision: 154450
- update to 2.06

* Mon Jun 27 2011 jquelin <jquelin> 2.50.0-1.mga2
+ Revision: 114503
- update to 2.05

* Thu Apr 07 2011 jquelin <jquelin> 2.40.0-1.mga1
+ Revision: 81787
- update to 2.04

* Thu Jan 20 2011 jquelin <jquelin> 2.10.0-1.mga1
+ Revision: 26923
- mageia rebuild
- imported package perl-SNMP-Info

